Items - Update Org App Definition
Overrides the definition for the specified OrgApp.
This API supports long running operations (LRO).
Updating the OrgApp's definition, does not affect its sensitivity label.
Permissions
The caller must have read and write permissions for the OrgApp.
Required Delegated Scopes
Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | No |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/orgApps/{orgAppId}/updateDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/orgApps/{orgAppId}/updateDefinition?updateMetadata={updateMetadata}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
org
|
path | True |
string (uuid) |
The OrgApp ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
update
|
query |
boolean |
When set to true and the .platform file is provided as part of the definition, the item's metadata is updated using the metadata in the .platform file |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| definition | True |
OrgApp public definition object. Refer to this article for more details on the structure of the OrgApp definition. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Update definition is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Update an OrgApp public definition example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/orgApps/5b218778-e7a5-4d73-8187-f10824047715/updateDefinition?updateMetadata=True
{
"definition": {
"parts": [
{
"path": "definition.json",
"payload": "ew0KICAiZXhlY3V0YW..OWRmNDhhY2ZmZTgifQ==",
"payloadType": "InlineBase64"
},
{
"path": ".platform",
"payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc=",
"payloadType": "InlineBase64"
}
]
}
}
Sample response
Location: https://api.fabric.microsoft.com/v1/operations/427f6c34-b64e-4ee4-8ea5-b533c0e203ef
x-ms-operation-id: 427f6c34-b64e-4ee4-8ea5-b533c0e203ef
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Org |
OrgApp public definition object. Refer to this article for more details on the structure of the OrgApp definition. |
|
Org |
OrgApp definition part object. |
|
Payload |
The type of the definition part payload. Additional payload types may be added over time. |
|
Update |
Update OrgApp public definition request payload. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
OrgAppPublicDefinition
OrgApp public definition object. Refer to this article for more details on the structure of the OrgApp definition.
| Name | Type | Description |
|---|---|---|
| format |
string |
The format of the OrgApp definition. |
| parts |
A list of definition parts. |
OrgAppPublicDefinitionPart
OrgApp definition part object.
| Name | Type | Description |
|---|---|---|
| path |
string |
The OrgApp public definition part path. |
| payload |
string |
The OrgApp public definition part payload. |
| payloadType |
The payload type. |
PayloadType
The type of the definition part payload. Additional payload types may be added over time.
| Value | Description |
|---|---|
| InlineBase64 |
Inline Base 64. |
UpdateOrgAppDefinitionRequest
Update OrgApp public definition request payload.
| Name | Type | Description |
|---|---|---|
| definition |
OrgApp public definition object. Refer to this article for more details on the structure of the OrgApp definition. |